Skip to main content
PUT
Update financial account

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
integer
required

The financial account ID

Body

application/json
config
object | null

The financial account's configuration

bic
string | null

Institution Identifier Code (BIC/SWIFT code).

Maximum string length: 255
name
string

Name of the account, as assigned by the financial institution.

Maximum string length: 255
custom_name
string | null

Custom name for the account, as defined by the end user.

Maximum string length: 255
display_name
string | null

Name of the account as defined by the end user within online channels.

Maximum string length: 255
bban
string

Basic Bank Account Number (BBAN). Must be provided if IBAN is not provided.

Maximum string length: 255
iban
string

International Bank Account Number (IBAN). Must be provided if BBAN is not provided.

Maximum string length: 255
currency
string | null

ISO 4217 currency code.

Required string length: 3
Pattern: ^[A-Z]{3}$
product_name
string | null

Product Name of the Institution for this account, proprietary definition.

Maximum string length: 255
details
string | null

Specifications that might be provided by the financial institution - characteristics of the account - characteristics of the relevant card.

Maximum string length: 255
owner_name
string | null

Name of the legal account owner. If there is more than one owner, then e.g. two names might be noted here. For a corporate account, the corporate name is used for this attribute.

Maximum string length: 255
msisdn
string | null

An alias to a payment account via a registered mobile phone number.

Maximum string length: 255
integrator_id
string | null

The financial account ID provided by the integrator.

Maximum string length: 255
institution_id
string | null

The financial account ID provided by the institution/bank.

Maximum string length: 255

Response

message
string
required
Allowed value: "Financial account updated."
data
App.Http.Resources.V2.FinancialAccountResource · object
required